#include <iostream>

class Shape {
public:
    virtual void draw() = 0;  // Pure virtual function
};

class Circle : public Shape {
public:
    void draw() override {
        std::cout << "Drawing Circle." << std::endl;
    }
};

class Square : public Shape {
public:
    void draw() override {
        std::cout << "Drawing Square." << std::endl;
    }
};

int main() {
    Shape* shape;

    Circle circle;
    Square square;

    shape = &circle;
    shape->draw();  // Calls Circle's draw()

    shape = &square;
    shape->draw();  // Calls Square's draw()

    return 0;
}

